Get the total number of neurons in the entire network

- « fann_get_total_connections

- fann_get_train_error_function »

- PHP Manual
- Fann Functions
- Get the total number of neurons in the entire network

# fann_get_total_neurons

(PECL fann >= 1.0.0)

fann_get_total_neurons — Get the total number of neurons in the entire network

### Description

fann_get_total_neurons(resource `$ann`): int

Get the total number of neurons in the entire network. This number does also include the bias neurons, so a 2-4-2 network has 2+4+2 +2(bias) = 10 neurons.

### Parameters

`ann`

  Neural network resource.

### Return Values

Total number of neurons in the entire network, or `false` on error.